﻿using ProRestaurant.Containers;
using ProRestaurant.Models.Accounts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ProRestaurant.Repository.Accounts
{
    public interface IUserRepository
    {
        IEnumerable<User> GetUsers();
        User GetUser(Func<User, bool> where);
        void Insert(User user);
        void Remove(User user);
        void Update(User user);
        void Save();
        UserContainer Login(string UserName, string Password);
    }
}
