﻿using ProRestaurant.Models.Restaurants;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ProRestaurant.Repository.Restaurants
{
    public interface IRestaurantRepository
    {
        IEnumerable<Restaurant> GetUsers();
        Restaurant GetRestaurant(Func<Restaurant, bool> where);
        void Insert(Restaurant restaurant);
        void Remove(Restaurant restaurant);
        void Update(Restaurant restaurant);
        void Save();
    }    
}
